Package ghidra.app.cmd.function

# Class DecompilerParallelConventionAnalysisCmd

java.lang.Object
ghidra.framework.cmd.BackgroundCommand<Program>
ghidra.app.cmd.function.DecompilerParallelConventionAnalysisCmd

All Implemented Interfaces:
  `Command<Program>`

public class DecompilerParallelConventionAnalysisCmd extends BackgroundCommand<Program>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecompilerParallelConventionAnalysisCmd(Function func, DecompInterface decompilerInterface, int decompilerTimeoutSecs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program p, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.
  `static DecompInterface`
  `createDecompilerInterface(Program program)`

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, getStatusMsg, hasProgress, isModal, run, setStatusMsg, taskCompleted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DecompilerParallelConventionAnalysisCmd

    public DecompilerParallelConventionAnalysisCmd(Function func, DecompInterface decompilerInterface, int decompilerTimeoutSecs)

- ## Method Details

  - ### createDecompilerInterface

    public static DecompInterface createDecompilerInterface(Program program) throws IOException
    Throws:
      `IOException`

  - ### applyTo

    public boolean applyTo(Program p, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Specified by:
      `applyTo` in class `BackgroundCommand<Program>`
    Parameters:
      `p` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully